# $NetBSD: web.prefs.mk,v 1.1 2005/10/14 08:48:12 rillig Exp $
#

# This file contains the default values (``preferences'') for commonly
# used variables that can be overridden in /etc/mk.conf. Before using
# such variables in Makefiles, this file must be included.

.if !defined(_WEB_PREFS_MK)
_WEB_PREFS_MK=		# defined

#
# Look for the root directory of htdocs. Currently five subdirectory
# levels are enough to handle all web pages.
#
_HTDOCS_SUBDIRS=	# none
.for _d_ in . .. ../.. ../../.. ../../../.. ../../../../..
.  if !defined(_HTDOCS_PREFIX)
_HTDOCS_SUBDIRS+=	${_d_}
.    if exists(${.CURDIR}/${_d_}/robots.txt)
_HTDOCS_PREFIX?=	${.CURDIR}/${_d_}
.    endif
.  endif
.endfor

#
# Are we on the host www.NetBSD.org?
# Possible values: YES, yes, NO, no.
#
NBWWW?=			no

#
# The location of htdocs/.
# Possible values: An absolute directory name.
#
WEB_PREFIX?=		${_HTDOCS_PREFIX}

#
# Include /etc/mk.conf indirectly. The htdocs settings should be put
# between .if defined(BUILDING_HTDOCS) ... .endif to not interfere with
# other settings.
#
BUILDING_HTDOCS=	yes
.include <bsd.own.mk>

.endif
